.banner{
    width: 80%;
    height: 200px;
    margin: 0 auto;
    background-image: url('../img/banner.png');
    background-size: contain;
    background-repeat: no-repeat;
}

.about-me p{
    width: 70%;
    margin: 0 auto;
    color: #00ffff;
}

.heading-container img{
    width: 80%;
    height: 100px;
    margin: 0 auto;
    display: block;
}
.heading-container h1{
    position: relative;
    top: -100px;
}

.notsoshit{
    display: none;
    opacity: 0;
    transition: .4s all linear;
}

.modal-cover{
    display: none;
    transition: .3s all linear;
    opacity: 0;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1000;
    background: #FDE3A7;
}

.modal-cover .container{
    margin-top: 40vh;
}
.modal-cover .container p{
    color: #000;
    font-size: 18px;
}
.modal-cover .notice{
    position: relative;
    top: 40vh;
}

.modal-cover .container .notice{
    color: black;
}
.close-modal{
    display: block;
    margin: 0 auto;
    -webkit-appearance:none;
}


a.redirect-button{
    display: block;
    margin: 0 auto;
    float: none;
}
.gn-menu li{
    height: 60px;
}
.konami{
    background: #EEEEEE;
}
.konami .shit{
    display: none;
}
.konami .notsoshit{
    display: block;
    opacity: 1;
}
.konami .modal-cover{
    opacity: 1;
}


.shit-nav-bar{
    width: 80%;
    margin: 0 auto;
}
.shit-nav-button a{
    color: white;
    font-size: 20px;
    
}




/* shows page styling */


.flashing.heading{
    font-weight: 600;
}
.flashing {
    animation-name: flash;
    animation-duration: 0.1s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-play-state: running;
}

@keyframes flash {
    from {color: red;}
    to {color: yellow;}
}

.give-up img{
    display: block;
    margin: 0 auto;
}

.give-up p{
    width: 300px;
    margin: 0 auto;
    display: block;
    position: relative;
    top: -50px;
}


nav.floating-left{
    position: fixed;
    left: 0;
    height: 100vh;
    background: #cecece;
}
nav.floating-left div{
    float: left;
    clear: both;
    margin: 20px;
    
}
nav.floating-left div:first-child{
    margin-top: 100px;
}

.floating-left div a{
    color: blue;
    text-decoration: underline
}
@media screen and (max-width: 27em) {
    .body.bod{
        overflow: hidden !important;
    }
    nav.floating-left{
     position: static;
     height: 90px;
    }
    nav.floating-left div{
         float: left;
        clear: none;
        width: 32%;
        margin: 10px 0px 10px;
    }
    nav.floating-left div:first-child{
    margin-top: 10px;
}
    
}



/* writings page */

.writings div a, .videos a{
    color: red;
    font-size: 4em;
    text-align: center;
}

.writings div a span{
    animation-name: boner;
    animation-duration: 0.2s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-play-state: running;
}

@keyframes boner {
    from {font-size:4em;}
    to {font-size:6em;}
}